Fix erroneous deprecated scope warnings.

Review Request #4323 — Created Oct. 18, 2016 and submitted

benjyw
pants
pants-reviews
jsirois, kwlzn

Previously we'd warn about use of a deprecated scope even
if the option in question was merely an inherited value from
the enclosing scope of the deprecated scope (which would
almost always exist, since we almost always set values
on the global scope at least).

This change ensures that we only check the options that
were directly set on the deprecated scope.

This fixes the warning caused inadvertently by 127867b852cff0ceda14d0bd427b2ffe9cdbe5a0.

CI passes: https://travis-ci.org/pantsbuild/pants/builds/168530921

  1. lgtm!

  2. 
      
  1. Ship It!
  2. 
      
Review request changed

Status: Closed (submitted)

Change Summary:

76f221e0959c84874a503756510c57b5a55f812a

Loading...